## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XNumberBase Class Reference

Inheritance diagram for XNumberBase:

[legend]
Collaboration diagram for XNumberBase:

[legend]
List of all members.

## Public Types

- typedef XObject ParentType

## Public Member Functions

- XNumberBase (const XNumberBase &source)
- virtual ~XNumberBase ()
- virtual const XalanDOMString & getTypeString () const
    Given a request type, return the equivalent string.
- virtual double num () const=0
    Cast result object to a number.
- virtual bool boolean () const
    Cast result object to a boolean.
- virtual const XalanDOMString & str () const=0
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const=0
    Send the string value to a FormatterListener instance.
- virtual double stringLength () const=0
    Get the length of the string value of the instance..
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject)
    Process a callback request for preferred type information.
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject) const
    Process a callback request for preferred type information.

## Protected Member Functions

- XNumberBase ()
    Constructor for derived classes.

## Member Typedef Documentation

typedef XObject XNumberBase::ParentType

## Constructor & Destructor Documentation

XNumberBase::XNumberBase | ( | const XNumberBase & | source | ) |

virtual XNumberBase::~XNumberBase | ( |  | ) | `[virtual]`

XNumberBase::XNumberBase | ( |  | ) | `[explicit, protected]`

| Constructor for derived classes.

## Member Function Documentation

virtual bool XNumberBase::boolean | ( |  | ) | const`[virtual]`

| Cast result object to a boolean. Returns: boolean value Reimplemented from XObject.

virtual const XalanDOMString& XNumberBase::getTypeString | ( |  | ) | const`[virtual]`

| Given a request type, return the equivalent string. For diagnostic purposes. Returns: string for type Implements XObject.

virtual double XNumberBase::num | ( |  | ) | const`[pure virtual]`

| Cast result object to a number. Returns: numeric value Reimplemented from XObject. Implemented in XNumber, and XTokenNumberAdapter.

virtual void XNumberBase::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | const`[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Implements XObject.

virtual void XNumberBase::ProcessXObjectTypeCallback | ( | XObjectTypeCallback & | theCallbackObject | ) | `[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Implements XObject.

virtual void XNumberBase::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[pure virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Implements XObject. Implemented in XNumber, and XTokenNumberAdapter.

virtual const XalanDOMString& XNumberBase::str | ( |  | ) | const`[pure virtual]`

| Cast result object to a string. Returns: string value Reimplemented from XObject. Implemented in XNumber, and XTokenNumberAdapter.

virtual double XNumberBase::stringLength | ( |  | ) | const`[pure virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Implements XObject. Implemented in XNumber, and XTokenNumberAdapter.

The documentation for this class was generated from the following file:

- XNumberBase.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.